# Uses of Interface
javax.xml.transform.Source

Packages that use Source
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.
javax.xml.stream
Defines interfaces and classes for the Streaming API for XML (StAX).
javax.xml.transform
Defines the generic APIs for processing transformation instructions, and performing a transformation from source to result.
javax.xml.transform.dom
Provides DOM specific transformation classes.
javax.xml.transform.sax
Provides SAX specific transformation classes.
javax.xml.transform.stax
Provides StAX specific transformation classes.
javax.xml.transform.stream
Provides stream and URI specific transformation classes.
javax.xml.validation
Provides an API for validation of XML documents.

## Uses of Source in java.sql

Methods in java.sql with type parameters of type Source
Modifier and Type
Method
Description
`<T extends Source>
T`
SQLXML.`getSource(Class<T> sourceClass)`
Returns a Source for reading the XML value designated by this SQLXML instance.

## Uses of Source in javax.xml.catalog

Methods in javax.xml.catalog that return Source
Modifier and Type
Method
Description
`Source`
CatalogResolver.`resolve(String href, String base)`
Implements URIResolver.

## Uses of Source in javax.xml.stream

Methods in javax.xml.stream with parameters of type Source
Modifier and Type
Method
Description
`abstract XMLEventReader`
XMLInputFactory.`createXMLEventReader(Source source)`
Create a new XMLEventReader from a JAXP source.
`abstract XMLStreamReader`
XMLInputFactory.`createXMLStreamReader(Source source)`
Create a new XMLStreamReader from a JAXP source.

## Uses of Source in javax.xml.transform

Methods in javax.xml.transform that return Source
Modifier and Type
Method
Description
`abstract Source`
TransformerFactory.`getAssociatedStylesheet(Source source, String media, String title, String charset)`
Get the stylesheet specification(s) associated with the XML `Source` document via the xml-stylesheet processing instruction that match the given criteria.
`Source`
URIResolver.`resolve(String href, String base)`
Called by the processor when it encounters an xsl:include, xsl:import, or document() function.
Methods in javax.xml.transform with parameters of type Source
Modifier and Type
Method
Description
`abstract Source`
TransformerFactory.`getAssociatedStylesheet(Source source, String media, String title, String charset)`
Get the stylesheet specification(s) associated with the XML `Source` document via the xml-stylesheet processing instruction that match the given criteria.
`abstract Templates`
TransformerFactory.`newTemplates(Source source)`
Process the Source into a Templates object, which is a a compiled representation of the source.
`abstract Transformer`
TransformerFactory.`newTransformer(Source source)`
Process the `Source` into a `Transformer` `Object`.
`abstract void`
Transformer.`transform(Source xmlSource, Result outputTarget)`
Transform the XML `Source` to a `Result`.

## Uses of Source in javax.xml.transform.dom

Classes in javax.xml.transform.dom that implement Source
Modifier and Type
Class
Description
`class`
`DOMSource`
Acts as a holder for a transformation Source tree in the form of a Document Object Model (DOM) tree.

## Uses of Source in javax.xml.transform.sax

Classes in javax.xml.transform.sax that implement Source
Modifier and Type
Class
Description
`class`
`SAXSource`
Acts as an holder for SAX-style Source.
Methods in javax.xml.transform.sax with parameters of type Source
Modifier and Type
Method
Description
`abstract TransformerHandler`
SAXTransformerFactory.`newTransformerHandler(Source src)`
Get a TransformerHandler object that can process SAX ContentHandler events into a Result, based on the transformation instructions specified by the argument.
`abstract XMLFilter`
SAXTransformerFactory.`newXMLFilter(Source src)`
Create an XMLFilter that uses the given Source as the transformation instructions.
`static InputSource`
SAXSource.`sourceToInputSource(Source source)`
Attempt to obtain a SAX InputSource object from a Source object.

## Uses of Source in javax.xml.transform.stax

Classes in javax.xml.transform.stax that implement Source
Modifier and Type
Class
Description
`class`
`StAXSource`
Acts as a holder for an XML `Source` in the form of a StAX reader,i.e.

## Uses of Source in javax.xml.transform.stream

Classes in javax.xml.transform.stream that implement Source
Modifier and Type
Class
Description
`class`
`StreamSource`
Acts as an holder for a transformation Source in the form of a stream of XML markup.

## Uses of Source in javax.xml.validation

Methods in javax.xml.validation with parameters of type Source
Modifier and Type
Method
Description
`Schema`
SchemaFactory.`newSchema(Source schema)`
Parses the specified source as a schema and returns it as a schema.
`abstract Schema`
SchemaFactory.`newSchema(Source[] schemas)`
Parses the specified source(s) as a schema and returns it as a schema.
`void`
Validator.`validate(Source source)`
Validates the specified input.
`abstract void`
Validator.`validate(Source source, Result result)`
Validates the specified input and send the augmented validation result to the specified output.